Combined
API referenceEndpointsSources

List Sources

List granted Sources and their current lifecycle state.

GET
/v1/sources

List granted Sources and their current lifecycle state.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

accountId*string

Account UUID that defines the tenant and authorization scope.

Formatuuid
cursor?string

Opaque cursor returned by the preceding list response.

Length1 <= length <= 1024
limit?integer

Maximum number of items to return in this page.

Range1 <= value <= 200
Default50
query?string

Optional case-insensitive text filter for this collection.

Lengthlength <= 300

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/sources?accountId=00000000-0000-4000-8000-000000000001&cursor=eyJvZmZzZXQiOjUwfQ&limit=50&query=Slack"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",      "kind": "desktop",      "connectorKey": "string",      "name": "string",      "state": "healthy",      "owner": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "user@example.com"      },      "datasetCount": 0,      "endpointCount": 0,      "lastSuccessAt": "2019-08-24T14:15:22Z",      "issue": {        "code": "string",        "message": "string",        "action": "string"      },      "schedule": "manual",      "stats": [        {          "date": "2019-08-24",          "records": 0,          "errors": 0,          "bytes": 0        }      ]    }  ],  "page": {    "nextCursor": "string",    "hasMore": true  },  "correlationId": "string"}